<?php
/**
 * Breadcrumb
 *
 * @package Fuzion_Blog
 */

$wp_customize->add_section(
	'fuzion_blog_breadcrumb',
	array(
		'title' => esc_html__( 'Breadcrumb', 'fuzion-blog' ),
		'panel' => 'fuzion_blog_theme_options',
	)
);

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'fuzion_blog_enable_breadcrumb',
	array(
		'sanitize_callback' => 'fuzion_blog_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Fuzion_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'fuzion_blog_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'fuzion-blog' ),
			'section' => 'fuzion_blog_breadcrumb',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'fuzion_blog_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'fuzion_blog_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'fuzion-blog' ),
		'active_callback' => 'fuzion_blog_is_breadcrumb_enabled',
		'section'         => 'fuzion_blog_breadcrumb',
	)
);
